#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 3

Summary:        Next Generation IMAP Library
Name:           kimap2
Version: 0.3.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/unstable/%{name}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Network)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Mime)

BuildRequires:  pkgconfig(libsasl2)

%description
Next Generation IMAP Library.

#------------------------------------------------------------------------------

%define kimap2_major 0
%define libkimap2 %mklibname kimap2_ %kimap2_major

%package -n     %libkimap2
Summary:        Next Generation IMAP Library
Group:          System/Libraries

%description -n %libkimap2
Next Generation IMAP Library.

%files -n %libkimap2
%_kf5_libdir/libKIMAP2.so.%{kimap2_major}{,.*}

#------------------------------------------------------------------------------

%define kimap2_devel %mklibname kimap2 -d

%package -n     %kimap2_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkimap2 = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %kimap2_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kimap2_devel
%_includedir/KIMAP2/
%_includedir/kimap2/
%_includedir/kimap2_version.h
%_kf5_libdir/libKIMAP2.so
%_kf5_libdir/cmake/KIMAP2/
%_kf5_mkspecsdir/qt_KIMAP2.pri

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_kf5_sysconfdir"
%cmake_build

%install
%cmake_install



%changelog
* Thu Dec 17 2020 umeabot <umeabot> 0.3.0-3.mga8
+ Revision: 1658718
- Rebuild for new Qt5

* Sun Feb 16 2020 umeabot <umeabot> 0.3.0-2.mga8
+ Revision: 1534233
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Sep 29 2019 daviddavid <daviddavid> 0.3.0-1.mga8
+ Revision: 1447908
- new version 0.3.0

* Sat Mar 30 2019 umeabot <umeabot> 0.2.0-4.mga7
+ Revision: 1382501
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.2.0-3.mga7
+ Revision: 1298552
- Mageia 7 Mass Rebuild

* Sun Aug 19 2018 neoclust <neoclust> 0.2.0-2.mga7
+ Revision: 1252901
- Add missing require on lib

* Sun Aug 19 2018 neoclust <neoclust> 0.2.0-1.mga7
+ Revision: 1252857
- imported package kimap2

